Bug 107817 - Exception in session manager when shutting down a server
Summary: Exception in session manager when shutting down a server
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
: 109233 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-23 12:37 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:43:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-23 12:37:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When shutting down a server, the following exceptions are thrown in the logs:

[2003/10/23 13:37:17] java.lang.IllegalStateException: session already open: default
java.lang.IllegalStateException: session already open: default
        at com.arsdigita.persistence.SessionManager.open(SessionManager.java:62)
        at com.arsdigita.web.BaseServlet.destroy(BaseServlet.java:105)
        at com.caucho.server.http.Application.completeClose(Application.java:3797)
        at com.caucho.server.http.Application.close(Application.java:3724)
        at com.caucho.server.http.VirtualHost.close(VirtualHost.java:1394)
        at com.caucho.server.http.ServletServer.close(ServletServer.java:1990)
        at com.caucho.server.http.ServletServer.close(ServletServer.java:1969)
        at com.caucho.server.http.ResinServer.close(ResinServer.java:1024)
        at com.caucho.server.http.ResinServer.main(ResinServer.java:1158)
        at com.caucho.server.http.HttpServer.main(HttpServer.java:103)


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Start a server
2. Request a few pages
3. Shutdown the server
    

Actual Results:  The exception shown above is thrown one, or more times.

Expected Results:  The exception is not thrown.

Additional info:

Comment 1 Vadim Nasardinov 2003-11-06 01:00:31 UTC
*** Bug 109233 has been marked as a duplicate of this bug. ***

Comment 2 Jon Orris 2003-11-06 03:08:25 UTC
Fixed @37733

Comment 3 David Lawrence 2006-07-18 03:41:19 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Daniel Berrange 2006-09-02 17:43:36 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.